-- Deklarer alle gjenstander.
-- block1 og 2 allered deefinert
	--objects.block1 = {} -- Crates, STATIC!
	--objects.block1.body = love.physics.newBody(world, 200, 550, "static")
	--objects.block1.shape = love.physics.newRectangleShape(0, 0, 70, 90)
	--objects.block1.fixture = love.physics.newFixture(objects.block1.body, objects.block1.shape, 5) -- A higher density gives it more mass.
	
	-- New Cars
	objects.car2 = {}
	objects.car2.body = love.physics.newBody(world, 200, 550, "dynamic")
	objects.car2.shape = love.physics.newRectangleShape(0, 0, 143, 66)
	objects.car2.body:setAngularDamping(22)
	objects.car2.body:setLinearDamping(10)
	objects.car2.fixture = love.physics.newFixture(objects.car2.body, objects.car2.shape, 5) -- A higher density gives it more mass.
	
	objects.car3 = {} 
	objects.car3.body = love.physics.newBody(world, 400, 850, "dynamic")
	objects.car3.shape = love.physics.newRectangleShape(0, 0, 143, 66)
	objects.car3.body:setAngularDamping(22)
	objects.car3.body:setLinearDamping(10)
	objects.car3.fixture = love.physics.newFixture(objects.car3.body, objects.car3.shape, 5) -- A higher density gives it more mass.

	-- Loop all collidable objects.
	bg = love.graphics.newImage("gfx/L02bg.png")
	goalzone = {startx=120,starty=620,widthx=90,widthy=180 } -- Tegn opp rute i main.
	
	
	-- Reset previously used items, husk at farten ikke endres.
	objects.block1.body:setPosition( 300, 550 )
	objects.block2.body:setPosition( 100, 100 )
	
function DrawCar()	
	carx, cary = objects.car.body:getPosition( )
	angle = objects.car.body:getAngle( )
	love.graphics.setColor(255, 255, 255) 
	love.graphics.draw(carGfx, carx, cary, angle+math.rad(90), 1, 1, 35, 72) -- Original Car layout
	
	-- Other Cars
	car2x, car2y = objects.car2.body:getPosition( )
	angle = objects.car2.body:getAngle( )
	love.graphics.draw(car2GFX, car2x, car2y, angle+math.rad(90), 1, 1, 35, 72) -- block 1 layout, sizing.
	
	-- Other Cars
	car3x, car3y = objects.car3.body:getPosition( )
	angle = objects.car3.body:getAngle( )
	love.graphics.setColor(255, 255, 100) 
	love.graphics.draw(car2GFX, car3x, car3y, angle+math.rad(90), 1, 1, 35, 72) -- block 1 layout, sizing.
	
	-- Crates 1
	cratex, cratey = objects.block1.body:getPosition( )
	angle = objects.block1.body:getAngle( )
	love.graphics.draw(crateGFX, cratex, cratey, angle+math.rad(90), 1, 1, 35, 45) -- block 1 layout, sizing.
	
	-- Crate 2
	cratex2, cratey2 = objects.block2.body:getPosition( )
	angle = objects.block2.body:getAngle( )
	love.graphics.draw(crateGFX, cratex2, cratey2, angle+math.rad(90), 1, 1, 35, 45) -- block 1 layout, sizing.
	
	 
	love.graphics.setColor(255, 255, 255) 
end
	
function DrawCurrentLevel()
	-- Reset Colors
	 
	love.graphics.polygon("fill", objects.block1.body:getWorldPoints(objects.block1.shape:getPoints()))
 	love.graphics.polygon("fill", objects.block2.body:getWorldPoints(objects.block2.shape:getPoints()))
	
	love.graphics.polygon("fill", objects.rightWall.body:getWorldPoints(objects.rightWall.shape:getPoints())) -- draw right wall
	love.graphics.polygon("fill", objects.topWall.body:getWorldPoints(objects.topWall.shape:getPoints())) -- draw right wall
	
end