-- Clean previous level obstacles
	objects.block1.body:destroy()
	--objects.block2.body:destroy()
	objects.car2.body:destroy()
	objects.car3.body:destroy()


-- Deklarer alle gjenstander.
	objects.block1 = {} -- Crates, !
	objects.block1.body = love.physics.newBody(world, 800, 700, "dynamic")
	objects.block1.shape = love.physics.newRectangleShape(0, 0, 70, 50) -- lag objectet mindre pga hitbox?
	objects.block1.fixture = love.physics.newFixture(objects.block1.body, objects.block1.shape, 50) -- A higher density gives it more mass.

	objects.vegg = {} -- vegg, !
	objects.vegg.body = love.physics.newBody(world, 720, 400, "static")
	objects.vegg.shape = love.physics.newRectangleShape(0, 0, 2, 180) -- lag objectet mindre pga hitbox?
	objects.vegg.fixture = love.physics.newFixture(objects.vegg.body, objects.vegg.shape, 50) -- A higher density gives it more mass.

 
	objects.car3 = {} -- New Car
	objects.car3.body = love.physics.newBody(world, 335, 250, "dynamic")
	objects.car3.shape = love.physics.newRectangleShape(0, 0, 143, 66)
	objects.car3.body:setAngularDamping(22)
	objects.car3.body:setLinearDamping(10)
	objects.car3.fixture = love.physics.newFixture(objects.car3.body, objects.car3.shape, 5) -- A higher density gives it more mass.

	
	objects.car2 = {}
	objects.car2.body = love.physics.newBody(world, 700, 250, "dynamic")
	objects.car2.shape = love.physics.newRectangleShape(0, 0, 143, 66)
	objects.car2.body:setAngularDamping(22)
	objects.car2.body:setLinearDamping(10)
	objects.car2.fixture = love.physics.newFixture(objects.car2.body, objects.car2.shape, 5) -- A higher density gives it more mass.

	
-- Loop all collidable objects.
	bg = love.graphics.newImage("gfx/L02bg.png")
	goalzone = {startx=802,starty=350,widthx=100,widthy=150 } -- Tegn opp rute i main.
	
-- reset objektposisjoner
	objects.block1.body:setPosition( 300, 550 )
	objects.block2.body:setPosition( 100, 100 )
--	objects.car.body:setPosition( 160, 384 )
	
	
	
	
function DrawCurrentLevel()
	-- crates
	cratex, cratey = objects.block1.body:getPosition( )
	angle = objects.block1.body:getAngle( )
	love.graphics.draw(crateGFX, cratex, cratey, angle+math.rad(90), 1, 1, 35, 45) -- block 1 layout, sizing.
	
	--cars
	car2x, car2y = objects.car2.body:getPosition( )
	angle = objects.car2.body:getAngle( )
	love.graphics.draw(car2GFX, car2x, car2y, angle+math.rad(90), 1, 1, 35, 72) -- block 1 layout, sizing.

	car3x, car3y = objects.car3.body:getPosition( )
	angle = objects.car3.body:getAngle( )
	love.graphics.setColor(255, 255, 100) 
	love.graphics.draw(car2GFX, car3x, car3y, angle+math.rad(90), 1, 1, 35, 72) -- block 1 layout, sizing.

	love.graphics.setColor(168, 168, 168, 190) 
	love.graphics.polygon("fill", objects.vegg.body:getWorldPoints(objects.vegg.shape:getPoints())) -- draw left wall
	
	wallx, wally = objects.vegg.body:getPosition( )
	-- angle = objects.vegg.body:getAngle( )
	love.graphics.draw(wallGFX, wallx, wally, 0, 1, 1, 10, 100) -- block 1 layout, sizing.
 
end